Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::ThreadLock Class Reference

The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's. More...

`#include <thread.h>`

Inheritance diagram for sc::ThreadLock:

[legend]
Collaboration diagram for sc::ThreadLock:

[legend]
List of all members.

## Public Methods

| ThreadLock ()
virtual | ~ThreadLock ()
virtual void | lock ()=0
| Obtain the lock.
virtual void | unlock ()=0
| Release the lock.

## Detailed Description

The ThreadLock abstract class provides mutex locks to be used in conjunction with ThreadGrp's.

The documentation for this class was generated from the following file:

- thread.h